//---------------------------------------------------------------------------

#include <vcl.h>
#include <string>
#include <iostream>
#include <algorithm>

#include <conio.h>   //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

bool nocase_compare (char c1, char c2)
{
    return toupper(c1) == toupper(c2);
}


int main (int argc, char* argv[])
{
  string s1("This is a string");
  string s2("STRING");
  cout << ToRus("1- :\n") << s1 << endl;
  cout << ToRus("2- :\n") << s2 << endl;
    
  //      
  if (s1.size() == s2.size() &&        //   
      equal (s1.begin(),s1.end(),      //  
             s2.begin(),               //  
             nocase_compare)) {        //  
      cout << ToRus(" ") << endl;
  }
  else {
      cout << ToRus("  ") << endl;
  }

  //     
  string::iterator pos;
  pos = search (s1.begin(),s1.end(),   // ,    
                s2.begin(),s2.end(),   //  
                nocase_compare);       //  
  if (pos == s1.end()) {
      cout << ToRus(" s2 -   s1") << endl;
  }
  else {
      cout << '"' << s2 << ToRus("\" -  \"")
           << s1 << ToRus("\" (   ") << pos - s1.begin() << ")"
           << endl;
  }


  getch();
  return 0;
}

//---------------------------------------------------------------------------